﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiveTools.Data
{
    public class ResultVar
    {
        /// <summary>
        /// 数据库错误
        /// </summary>
        public const int json_DbError = -1000;
        /// <summary>
        /// API未发现
        /// </summary>
        public const int json_APIUnFound = -1001;
        /// <summary>
        /// 未登陆
        /// </summary>
        public const int json_UnLogin = -1002;
        /// <summary>
        /// 没有权限
        /// </summary>
        public const int json_UnAuthorized = -1003;
        /// <summary>
        /// 账号过期
        /// </summary>
        public const int json_UserOutDate = -1004;
        /// <summary>
        /// 结果返回成功
        /// </summary>
        public const int json_Success = 1;
        /// <summary>
        /// 错误的用户名
        /// </summary>
        public const int json_UserUnFound = -1;
        /// <summary>
        /// 数据没发现
        /// </summary>
        public const int json_DbUnFound = -1;
        /// <summary>
        /// 错误的密码
        /// </summary>
        public const int json_ErrorPwd = -2;
        /// <summary>
        /// 无效的字符串
        /// </summary>
        public const int json_InvalidStr = -3;
        /// <summary>
        /// 用户已被禁用
        /// </summary>
        public const int json_ForbiddenUser = -4;
        /// <summary>
        /// 用户已存在
        /// </summary>
        public const int json_UserExist = -5;
    }
    public class ConstVar
    {
        public const string json_Result = "Result";
        public const string json_ResultText = "ResultText";
        /// <summary>
        /// 6位校验码，目前只启用首位校验码为1
        /// </summary>
        public const string json_Start = "100000";
        /// <summary>
        /// 登陆成功的字符串
        /// </summary>
        public const string Login_Success = "tianrui";
        public ConstVar()
        {
            //
            // TODO: 在此处添加构造函数逻辑
            //
        }
    }
}
