﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Messaging.Messages;
using CommunityToolkit.Mvvm.Messaging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiveTools.Data
{
    public partial class LogViewModel : ObservableObject, IRecipient<RequestMessage<string>>
    {
        [ObservableProperty]
        private string title = "控制台界面";



        public LogViewModel()
        {
            //接口必须实现
            WeakReferenceMessenger.Default.Register(this);
        }

        //消息返回
        public void Receive(RequestMessage<string> message)
        {

            Debug.WriteLine("我接受到了消息" + message.Response);

            message.Reply(new string("我返回的消息"));
        }

    }
}
