﻿using CommunityToolkit.Mvvm.Messaging.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiveTools.Data
{
    public class MessageToken
    {
        //public static readonly object LoadShowContent = nameof(LoadShowContent);
        public static readonly string ClearLeftSelected = nameof(ClearLeftSelected);
        public static readonly string MainWindow = nameof(MainWindow);

    }
    public enum MsgTokenId
    {
        None = 0,
        /// <summary>
        /// 触发特效
        /// </summary>
        Effects=1,
        Login =1000,
    }
    public class MsgToken : ValueChangedMessage<object>
    {
        public MsgToken(object value) : base(value) { }
        public MsgTokenId ID { get; set; } = MsgTokenId.None;
        public string From { get; set; } ="";
        public string Msg { get; set; } = "";
    }
    public class LoadShowContent : ValueChangedMessage<object>
    {
        public LoadShowContent(object value) : base(value) { }
    }
    public class ClearLeftSelected : ValueChangedMessage<string>
    {
        public ClearLeftSelected(string value) : base(value) { }
    }
}
